%define name gnome-telnet
%define version 2.4
%define release %mkrel 7

Name:		%{name}
Summary:	A pretty frontend and easy to use GNOME 3-in-1 telnet/ssh/rlogin client
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Remote access
URL:		http://www.cyest.org
Source:		http://www.cyest.org/downloads/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Requires:	gnome-core >= 1.0.0
BuildRequires:	gnome-libs-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Gnome Telnet provides a very nice graphical user interface for 
3-in-1 telnet, ssh, and rlogin client for Gnome

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%configure --enable-nls --with-included-gettext
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

chmod 644 COPYING README INSTALL AUTHORS ABOUT-NLS NEWS docs/*

mkdir -p %{buildroot}%{_datadir}/pixmaps/gtelnet

install -m555 src/%{name} -D %{buildroot}%{_bindir}/%{name}

install -m644 share/gtelnet_bg_black.jpg %{buildroot}%{_datadir}/pixmaps/gtelnet
install -m644 share/gtelnet_bg_brown.jpg %{buildroot}%{_datadir}/pixmaps/gtelnet
install -m644 share/gnome-telnet.png %{buildroot}%{_datadir}/pixmaps/gtelnet

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(gnome-telnet):\
  needs="x11"\
  section="Networking/Remote Access"\
  title="Telnet, SSH, and RLogin"\
  longtitle="A cool front-end for telnet, ssh, and rlogin"\
  command="%{_bindir}/%{name}"\
  icon=%{name}.png
EOF

#icon
install -m644 %{SOURCE1} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D %{buildroot}%{_liconsdir}/%{name}.png

# i18n ugh, dunno why this isn't being installed by default once nls is
# requested --Geoff

cd po && {
   for i in *.gmo; do
   mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/$(basename $i .gmo)/LC_MESSAGES
   install -m644 $i $RPM_BUILD_ROOT%{_datadir}/locale/$(basename $i .gmo)/LC_MESSAGES/%{name}.mo
   done
} && cd ..

%find_lang %{name}

%post
%update_menus


%postun
%clean_menus


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README INSTALL AUTHORS ABOUT-NLS NEWS docs/*
%attr(0755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/pixmaps/gtelnet
%{_datadir}/pixmaps/gtelnet/gtelnet_bg_black.jpg
%{_datadir}/pixmaps/gtelnet/gtelnet_bg_brown.jpg
%{_datadir}/pixmaps/gtelnet/gnome-telnet.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 2.4-7mdk
- rebuild
- fix menu section

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4-6mdk
- own %%{_datadir}/pixmaps/gtelnet

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.4-5mdk
- rebuild
- converted icons to png
- macroize
- cosmetics

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4-4mdk
- Use menudir, not libdir/menu. Fix docs.
- Build with -D_GNUSOURCE to get correct prototype for stpcpy().

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 2.4-3mdk
- BuildRequires:	gnome-libs-devel
- Copyright --> License

* Tue Feb 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4-2mdk
- Build with i18n support.

* Sat Jan 06 2001 Prana <pranalukas@linux-mandrake.com> 2.4-1mdk
- Maintenance 2.4
- Geoff <snailtalk@mandrakesoft.com> 
  - use of configure macro and add a url to the source tag.

* Mon Dec 04 2000 Prana <pranalukas@linux-mandrake.com> 2.3-1mdk
- 2.3
- My GnuPG key for RPM verification has changed again.

* Sat Oct 28 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.2-1mdk
- 2.2
- new icons, properly resized
- specfile cleanups
- include menu inside specfile, not from source

* Thu Aug 31 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.1-2mdk
- new in contribs
- specfile cleanups

* Mon Aug 31 2000 Prana <pranalukas@linux-mandrake.com>
- Version 2.1 released -- This RPM is only for Mandrake 7.1+

* Mon Jul 28 2000 Prana <pranalukas@linux-mandrake.com>
- Version 2.0 released -- please don't e-mail to pranalukas@linux-mandrake.com as it's just an alias

* Mon Jun 12 2000 Prana <pranalukas@gmx.de>
- First time I build an RPMS package and also Takeshi Aihana (TurboLinux Japan) added ja.po
